# Class yii\base\ErrorException

Inheritance | yii\base\ErrorException » ErrorException
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/ErrorException.php

ErrorException represents a PHP error.

For more details and usage information on ErrorException, see the guide article on handling errors.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | Constructs the exception. | yii\base\ErrorException
getName() |  | yii\base\ErrorException
isFatalError() | Returns if error is one of fatal type. | yii\base\ErrorException

## Constants

Hide inherited constants

Constant | Value | Description | Defined By
--- | --- | --- | ---
E_HHVM_FATAL_ERROR | 16777217 | This constant represents a fatal error in the HHVM engine. PHP Zend runtime won't call the error handler on fatals, HHVM will, with an error code of 16777217 We will handle fatal error a bit different on HHVM. | yii\base\ErrorException

## Method Details

__construct() public method

Constructs the exception.

public void __construct ( $message = '', $code = 0, $severity = 1, $filename = __FILE__, $lineno = __LINE__, $previous = null )
$message | string | [optional]
$code | integer | [optional]
$severity | integer | [optional]
$filename | string | [optional]
$lineno | integer | [optional]
$previous | Throwable|Exception | [optional]

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception

isFatalError() public static method

Returns if error is one of fatal type.

public static boolean isFatalError ( $error )
$error | array | Error got from error_get_last()
return | boolean | If error is one of fatal type